Name:     mate-random-background
Version:  0.6
Release:  %mkrel 1

Summary:  Mate desktop background changer
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFPL
Group:    Graphics
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mate-icon-theme
Requires: mate-panel
Requires: gtkdialog

%description
Makes changes to your MATE desktop in desired random intervals. 
Simply place pics of your favorite images in your ~/Wallpapers folder.
 
With the notify icon menu you can make changes on the fly or from selected 
intervals. Supports: png, jpg, jpeg, gif, and bmp images. 

%prep
%setup -q
 
%make 

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
 --dir %buildroot%{_datadir}/applications \
%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%_bindir/random-background
%_datadir/applications/*.desktop
%_iconsdir/hicolor/*/apps/random-background.png
%_datadir/random-background

%changelog
* Sat Jan 28 2017 adrianomorselli <adrianomorselli> 0.6-1uplos2017
- rebuild

* Sun Dec 18 2016 Ken <lxgator at gmail.com> 0.6-1pclos2016
- 0.6

* Fri Jan 22 2016 Ken <lxgator at gmail.com> 0.5-1pclos2016
- 0.5

* Fri Jan 15 2016 Ken <lxgator at gmail.com> 0.4-1pclos2016
- 0.4

* Sat Oct 06 2015 Ken <lxgator at gmail.com> 0.3-1pclos2015
- 0.3

* Sat Aug 10 2013 Ken <lxgator at gmail.com> 0.2-1pclos2013
- 0.2

* Sun Jul 28 2013 Ken <lxgator at gmail.com> 0.1-1pclos2013
- initial build 

